<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="volatilityOptions"
        [mbType]="
          isSubmitted && form.controls['volatilityId'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['volatilityId'].errors !== null
        "
        [mbErrors]="form.controls['volatilityId'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.volatilityPlan.label.volatility'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.volatilityPlan.label.volatility'
        }}"
        mbLabelText="{{
          'insurance.volatilityPlan.label.volatility' | translate
        }} <span class='label__required'>*</span>"
        formControlName="volatilityId"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="statusOptions"
        [mbType]="
          isSubmitted && form.controls['flagStatus'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['flagStatus'].errors !== null
        "
        [mbErrors]="form.controls['flagStatus'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.flagStatus'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.flagStatus'
        }}"
        mbLabelText="{{
          'insurance.common.label.flagStatus' | translate
        }} <span class='label__required'>*</span>"
        formControlName="flagStatus"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        mbMode="multiple"
        [mbDataSelects]="informOptions"
        [mbType]="
          isSubmitted && form.controls['informIds'].errors ? 'error' : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['informIds'].errors !== null
        "
        [mbErrors]="form.controls['informIds'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.volatilityPlan.label.inform'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.volatilityPlan.label.inform'
        }}"
        mbLabelText="{{
          'insurance.volatilityPlan.label.inform' | translate
        }} <span class='label__required'>*</span>"
        formControlName="informIds"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        mbMode="multiple"
        [mbDataSelects]="solutionOptions"
        [mbType]="
          isSubmitted && form.controls['volatilitySolutionIds'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['volatilitySolutionIds'].errors !== null
        "
        [mbErrors]="form.controls['volatilitySolutionIds'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.volatilityPlan.label.volatilitySolution'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel
              : 'insurance.volatilityPlan.label.volatilitySolution'
        }}"
        mbLabelText="{{
          'insurance.volatilityPlan.label.volatilitySolution' | translate
        }} <span class='label__required'>*</span>"
        formControlName="volatilitySolutionIds"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="
          isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
        [mbErrors]="form.controls['fromDate'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.fromDate'
          }
        ]"
        formControlName="fromDate"
        mbLabelText="{{
          'insurance.common.label.fromDate' | translate
        }} <span class='label__required'>*</span>"
      ></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{ 'insurance.common.label.toDate' | translate }}"
      ></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['description'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['description'].errors !== null
        "
        [mbErrors]="form.controls['description'].errors"
        [mbMaxLength]="250"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          }
        ]"
        formControlName="description"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.common.label.description'
        }}"
        mbLabelText="{{ 'insurance.common.label.description' | translate }}"
      >
      </mb-input-text>
    </div>
  </div>
</form>
